Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.server
Class UtilityVirtualServer

`java.lang.Object
oracle.ovs.api.datamodel.server.VirtualServer
oracle.ovs.api.datamodel.server.UtilityVirtualServer`

All Implemented Interfaces:
  java.io.Serializable

      public class UtilityVirtualServer

extends VirtualServer

Utility Virtual Server.

See Also:
  `VirtualServer`, Serialized Form

Constructor Summary
`UtilityVirtualServer()` Default constructor
`UtilityVirtualServer(VirtualServer vs)` Use `VirtualServer` to construct `UtilityVirtualServer`
`UtilityVirtualServer(VirtualServer vs, java.lang.String loginUsr, java.lang.String loginPasswd)` Use `VirtualServer` to construct `UtilityVirtualServer`

Method Summary
`java.lang.String` | `getLoginPassword()` Override VirtualServer#getLoginPassword()
`java.lang.String` | `getLoginUsername()` Override VirtualServer#getLoginPassword()
`java.lang.String` | `getServerType()` Override VirtualServer#getServerType(String)
`void` | `setLoginPassword(java.lang.String loginPwd)` Override VirtualServer#setLoginPassword(String)
`void` | `setLoginUsername(java.lang.String loginUser)` Override VirtualServer#getLoginPassword()
`void` | `setServerType(java.lang.String serverType)` Deprecated. Override VirtualServer#setServerType(String)

Methods inherited from class oracle.ovs.api.datamodel.server.VirtualServer
`clone, getAgentPwd, getArchitecture, getComments, getCpuNum, getHdAmount, getHdFree, getIp, getLocation, getMemAmount, getMemFree, getPlatform, getServerId, getServerName, getServerPool, getServerTypeDisplay, getStatus, getSupportHVM, getVmList, getVtType, setAgentPwd, setArchitecture, setComments, setCpuNum, setHdAmount, setHdFree, setIp, setLocation, setMemAmount, setMemFree, setPlatform, setServerId, setServerName, setServerPool, setServerTypeDisplay, setStatus, setSupportHVM, setVmList, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UtilityVirtualServer

    public UtilityVirtualServer()

  Default constructor

### UtilityVirtualServer

    public UtilityVirtualServer(VirtualServer vs)

  Use `VirtualServer` to construct `UtilityVirtualServer`
  Parameters:
    `vs` - Virtual Server

### UtilityVirtualServer

    public UtilityVirtualServer(VirtualServer vs,
                                java.lang.String loginUsr,
                                java.lang.String loginPasswd)

  Use `VirtualServer` to construct `UtilityVirtualServer`
  Parameters:
    `vs` - Virtual Server
    `loginUsr` - Utility server login username
    `loginPasswd` - Utility server login password

Method Detail

### setLoginUsername

    public void setLoginUsername(java.lang.String loginUser)

  Override VirtualServer#getLoginPassword()
  Overrides:
    `setLoginUsername` in class `VirtualServer`
  Parameters:
    `loginUser` - Login Username
  See Also:
    `VirtualServer.getLoginPassword()`

### getLoginUsername

    public java.lang.String getLoginUsername()

  Override VirtualServer#getLoginPassword()
  Overrides:
    `getLoginUsername` in class `VirtualServer`
  Returns:
    Login Password
  See Also:
    `VirtualServer.getLoginPassword()`

### setLoginPassword

    public void setLoginPassword(java.lang.String loginPwd)

  Override VirtualServer#setLoginPassword(String)
  Overrides:
    `setLoginPassword` in class `VirtualServer`
  Parameters:
    `loginPwd` - Login Password
  See Also:
    `VirtualServer.setLoginPassword(String)`

### getLoginPassword

    public java.lang.String getLoginPassword()

  Override VirtualServer#getLoginPassword()
  Overrides:
    `getLoginPassword` in class `VirtualServer`
  Returns:
    Login Password
  See Also:
    `VirtualServer.getLoginPassword()`

### getServerType

    public java.lang.String getServerType()

  Override VirtualServer#getServerType(String)
  Overrides:
    `getServerType` in class `VirtualServer`
  Returns:
    Default value is Utility Server
  See Also:
    `VirtualServer.getServerType()`

### setServerType

    public void setServerType(java.lang.String serverType)

  Deprecated. Override VirtualServer#setServerType(String)
  Description copied from class: `VirtualServer`
  Set Server Type
  Overrides:
    `setServerType` in class `VirtualServer`
  Parameters:
    `serverType` - Default value is Utility Server
  See Also:
    `VirtualServer.setServerType(String)`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.